Bug 301 - xfsdump won't compile
: xfsdump won't compile
Status: RESOLVED FIXED
Product: XFS
Classification: Unclassified
Component: xfsdump
: Current
: Linux
: normal
: ---
Assigned To: XFS power people
:
:
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-31 16:07 CST by Arthur Corliss
Modified: 2004-01-02 07:57 CST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arthur Corliss 2003-12-31 16:07:46 CST
Using the latest CVS snapshop as of 2003/12/29 xfsdump won't compile.  It fails
with the message:

gcc -o xfsdump arch_xlate.o cldmgr.o content_common.o dlog.o drive.o
drive_scsitape.o drive_simple.o drive_minrmt.o fs.o getdents.o global.o lock.o
main.o mlog.o openutil.o qlock.o path.o ring.o stream.o util.o sproc.o inv_api.o
inv_core.o inv_files.o inv_fstab.o inv_idx.o inv_mgr.o inv_stobj.o content.o
hsmapi.o inomap.o var.o  /usr/lib/libuuid.a /lib/libhandle.so /lib/libattr.so
/lib/libdm.so ../librmt/.libs/librmt.al
drive_scsitape.o: In function `is_scsi_driver':
/usr/src/nevaeh/build/xfs-cmds/xfs-cmds/xfsdump/dump/drive_scsitape.c:531:
undefined reference to `IRIX_DEV_TO_KDEVT'
collect2: ld returned 1 exit status
make[1]: *** [xfsdump] Error 1
make: *** [default] Error 2
Comment 1 Christoph Hellwig 2004-01-01 16:21:38 CST
I've checked a fix in.  NOTE: it can take up to an hour until this is in public CVS.
Comment 2 Christoph Hellwig 2004-01-02 05:57:09 CST
Should have closed this yesterday already..